#!/bin/sh
#############################################################################
# UPS Monitor 2.2 Server - Skrypt Instalacyjny                              #
# Copyright (c) 2002 by Fideltronik                                         #
# Wszekie prawa zastrzezone                                                 #
#############################################################################
# Skrypt dla systemw: Linux                                                 #
#############################################################################

UPS='UPS Monitor 2.2 Server'
UPS_PATH0='/etc/ups'
UPS_PATH1='/etc/ups/scripts'


###############################################################################
clear
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "-                       UPS Monitor 2.2 Server                    -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "-                                                                 -"
echo "- Copyright (C) 2002 by Fideltronik, wszelkie prawa zastrzezone.  -"
echo "-                                                                 -"
echo "- Autor: Zbigniew Huber, huber@fideltronik.com.pl                 -"
echo "-                                                                 -"
echo "-------------------------------------------------------------------"
echo "- Wersja binarna dla systemu Linux                                -"
echo "-------------------------------------------------------------------"
echo ""
echo ""
echo "Czy zainstalowac $UPS (t/n)?"
read wybor
echo ""

if [ "$wybor" != 't' ]
  then
   echo "Instalacja anulowana"
   exit 0
fi


###############################################################################
# sprawdz czy jest juz zainstalowany UPS Monitor
if [ -f $UPS_PATH0/upsd ]
 then
  {
  # UPS Monitor jest juz zainstalowany - poinformuj i zakoncz prace
  echo "$UPS jest juz zainstalowany !"
  echo "Aby reinstalowac usun obecna instalacje: $UPS_PATH0/remove.sh"
  echo ""
  exit 1
  }
fi

###############################################################################
# katalog glowny
echo "Utworzenie katalogow"

if [ ! -d $UPS_PATH0 ]
 then
  echo "Utworzenie katalogu $UPS_PATH0"
  mkdir $UPS_PATH0
  if [ ! -d $UPS_PATH0 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH0 - Instalacja przerwana"
    echo ""
    exit 2
 fi
fi    

###############################################################################
# katalogi dodatkowe
if [ ! -d $UPS_PATH1 ]
 then
  echo "Utworzenie katalogu $UPS_PATH1"
  mkdir $UPS_PATH1
  if [ ! -d $UPS_PATH1 ]
   then
    echo ""
    echo "Nie mozna utworzyc katalogu $UPS_PATH1 - Instalacja przerwana"
    echo ""
    exit 3
 fi
fi  

###############################################################################
# kopiowanie plikow
echo "Kopiowanie oprogramowania."
cd server
cp upsd $UPS_PATH0
cp upsd.conf $UPS_PATH0
cp upsd.log $UPS_PATH0
cp upsoff $UPS_PATH0
cp upsoff.conf $UPS_PATH0
cp remove.sh $UPS_PATH0
cp ups $UPS_PATH0

cp scripts/*.sh $UPS_PATH1
cd ..

# ustalenie wlasciwych praw dostepu
echo "Konfiguracja praw dostepu."
chmod 500 /etc/ups/upsd
chmod 500 /etc/ups/upsoff

chmod 500 /etc/ups/ups
chmod 500 /etc/ups/remove.sh

chmod 600 /etc/ups/upsd.conf
chmod 600 /etc/ups/upsoff.conf
chmod 600 /etc/ups/upsd.log

chmod 700 /etc/ups/scripts/*

echo "Czy dopisac $UPS do skryptow startowych ? (t/n)?"
read wybor
echo ""

if [ "$wybor" = 't' ]
 then
  {
  # dodanie do skryptow rc
  if [ -d /etc/rc2.d ]
   then
    ln -s /etc/ups/ups /etc/rc2.d/S95upsd 
   echo "Utworzono link /etc/rc2.d/S95upsd" 
  fi
  if [ -d /etc/rc3.d ]
   then
    ln -s /etc/ups/ups /etc/rc3.d/S95upsd 
   echo "Utworzono link /etc/rc2.d/S95upsd" 
  fi

  }
fi
echo ""
echo "nacisnij dowolny klawisz..."
read wybor

clear
echo "-------------------------------------------------------------------"
echo "-                       Informacje dodatkowe                      -"
echo "-------------------------------------------------------------------"
echo ""
echo "Przed uruchomieniem oprogramownia nalezy :"
echo ""
echo "1. skonfigurowac program, edytujac plik $UPS_PATH0/upsd.conf"
echo ""
echo "2. skonfigurowac skrypty $UPS_PATH0/scripts"
echo ""
echo "3. uruchomic demona poleceniem: $UPS_PATH0/ups start"
echo "   lub zrestartowac serwer jezeli dodano do skryptow startowych"
echo ""
echo "4. wykonac test wylaczajac zasilacz z sieci energetycznej"
echo ""
echo "5. wylaczenie UPS-a jest realizowane przez program upsoff ,ktory"
echo "   musi byc recznie dodany do skryptu halt przez administratora"
echo "   systemu. Szczegolowe informacje zawarto w pliku czytaj.to."
echo ""
echo "nacisnij dowolny klawisz..."
read wybor
echo""
echo "-------------------------------------------------------------------"
echo "-               Instalacja zakonczona pomyslnie.                  -"
echo "-------------------------------------------------------------------"
echo "-             Zapraszamy na www.fideltronik.com.pl                -"
echo "-------------------------------------------------------------------"
echo ""
exit 0